#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	psmisc
Version		:	23.6
Release		:	17.2.0.rel%{?dist}
Summary		:	Utilities for managing processes on your system
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://psmisc.sourceforge.net/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	gettext
#-----------------------------------------------------------------------------
%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root)
/bin/fuser
/bin/killall
%{_bindir}/peekfd
%{_bindir}/prtstat
%{_bindir}/pslog
%{_bindir}/pstree
%{_bindir}/pstree.x11
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install


%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#move the killall and fuser programs to the location specified by the FHS
%{__mkdir_p} %{buildroot}/bin
mv 							\
	%{buildroot}%{_bindir}/{fuser,killall}		\
	%{buildroot}/bin

%find_lang %name --all-name --with-man

#-----------------------------------------------------------------------------
%changelog
